---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t010.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6BD0, symBinAddr: 0x3250, symSize: 0x2A0 }
  - { offsetInCU: 0xAE3, offset: 0xAE3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7B100, symBinAddr: 0x9340, symSize: 0x0 }
  - { offsetInCU: 0xB0A, offset: 0xB0A, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7D040, symBinAddr: 0xB280, symSize: 0x0 }
  - { offsetInCU: 0xB2C, offset: 0xB2C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7D430, symBinAddr: 0xB670, symSize: 0x0 }
  - { offsetInCU: 0xB4E, offset: 0xB4E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7E3D0, symBinAddr: 0xC610, symSize: 0x0 }
  - { offsetInCU: 0xB63, offset: 0xB63, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7E3E0, symBinAddr: 0xC620, symSize: 0x0 }
  - { offsetInCU: 0xBDE, offset: 0xBDE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7AC40, symBinAddr: 0x90C0, symSize: 0x0 }
  - { offsetInCU: 0xBE9, offset: 0xBE9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7AC44, symBinAddr: 0x90C4, symSize: 0x0 }
  - { offsetInCU: 0xBF4, offset: 0xBF4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7AC48, symBinAddr: 0x90C8, symSize: 0x0 }
  - { offsetInCU: 0xC39, offset: 0xC39, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7AD90, symBinAddr: 0x90D0, symSize: 0x0 }
  - { offsetInCU: 0xCB2, offset: 0xCB2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7AE48, symBinAddr: 0x9188, symSize: 0x0 }
  - { offsetInCU: 0xCD0, offset: 0xCD0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7AE4C, symBinAddr: 0x918C, symSize: 0x0 }
  - { offsetInCU: 0xCE9, offset: 0xCE9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7AE50, symBinAddr: 0x9190, symSize: 0x0 }
  - { offsetInCU: 0xD02, offset: 0xD02, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7AE54, symBinAddr: 0x9194, symSize: 0x0 }
  - { offsetInCU: 0xD1B, offset: 0xD1B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7AE58, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0x9302, offset: 0x9302, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7AE60, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0x938B, offset: 0x938B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7AE70, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x93A4, offset: 0x93A4, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7AE78, symBinAddr: 0x91B8, symSize: 0x0 }
  - { offsetInCU: 0x93BD, offset: 0x93BD, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7AE80, symBinAddr: 0x91C0, symSize: 0x0 }
  - { offsetInCU: 0x93D6, offset: 0x93D6, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7AE88, symBinAddr: 0x91C8, symSize: 0x0 }
  - { offsetInCU: 0x93EF, offset: 0x93EF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7AE90, symBinAddr: 0x91D0, symSize: 0x0 }
  - { offsetInCU: 0x9409, offset: 0x9409, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7AE98, symBinAddr: 0x91D8, symSize: 0x0 }
  - { offsetInCU: 0x94EF, offset: 0x94EF, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7AEE0, symBinAddr: 0x91E0, symSize: 0x0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x7AF80, symBinAddr: 0x9280, symSize: 0x0 }
  - { offsetInCU: 0x952D, offset: 0x952D, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7B020, symBinAddr: 0x9320, symSize: 0x0 }
  - { offsetInCU: 0x9546, offset: 0x9546, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7B028, symBinAddr: 0x9328, symSize: 0x0 }
  - { offsetInCU: 0x955F, offset: 0x955F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7B030, symBinAddr: 0x9330, symSize: 0x0 }
  - { offsetInCU: 0xA048, offset: 0xA048, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0x16E0, symSize: 0x100 }
  - { offsetInCU: 0xA245, offset: 0xA245, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x17E0, symSize: 0x220 }
  - { offsetInCU: 0xA5C0, offset: 0xA5C0, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xE940, symBinAddr: 0x5EF0, symSize: 0x50 }
  - { offsetInCU: 0xA69A, offset: 0xA69A, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x830, symBinAddr: 0x1A00, symSize: 0x100 }
  - { offsetInCU: 0xA881, offset: 0xA881, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x930, symBinAddr: 0x1B00, symSize: 0x220 }
  - { offsetInCU: 0xACC0, offset: 0xACC0, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0xE9E0, symBinAddr: 0x5F40, symSize: 0x50 }
  - { offsetInCU: 0xADE6, offset: 0xADE6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x1ED0, symSize: 0x80 }
  - { offsetInCU: 0xAE7B, offset: 0xAE7B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x1E20, symSize: 0xB0 }
  - { offsetInCU: 0xAED6, offset: 0xAED6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1D20, symSize: 0x100 }
  - { offsetInCU: 0xB169, offset: 0xB169, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x1F50, symSize: 0xC0 }
  - { offsetInCU: 0xB1BB, offset: 0xB1BB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x2010, symSize: 0x220 }
  - { offsetInCU: 0xB3A0, offset: 0xB3A0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x2230, symSize: 0xA0 }
  - { offsetInCU: 0xB453, offset: 0xB453, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x22D0, symSize: 0x110 }
  - { offsetInCU: 0xB549, offset: 0xB549, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x23E0, symSize: 0x150 }
  - { offsetInCU: 0xB6C1, offset: 0xB6C1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2530, symSize: 0x30 }
  - { offsetInCU: 0xB762, offset: 0xB762, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4E90, symBinAddr: 0x2560, symSize: 0x150 }
  - { offsetInCU: 0xB95A, offset: 0xB95A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x4FE0, symBinAddr: 0x26B0, symSize: 0x160 }
  - { offsetInCU: 0xBC1A, offset: 0xBC1A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x5470, symBinAddr: 0x2810, symSize: 0x4A0 }
  - { offsetInCU: 0xBE8D, offset: 0xBE8D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5BC0, symBinAddr: 0x2CB0, symSize: 0x1B0 }
  - { offsetInCU: 0xC0A8, offset: 0xC0A8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5D70, symBinAddr: 0x2E60, symSize: 0xA0 }
  - { offsetInCU: 0xC177, offset: 0xC177, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x60E0, symBinAddr: 0x2F00, symSize: 0x20 }
  - { offsetInCU: 0xC1AE, offset: 0xC1AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6100, symBinAddr: 0x2F20, symSize: 0x20 }
  - { offsetInCU: 0xC1E5, offset: 0xC1E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x6120, symBinAddr: 0x2F40, symSize: 0x20 }
  - { offsetInCU: 0xC354, offset: 0xC354, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x6860, symBinAddr: 0x2F60, symSize: 0x1A0 }
  - { offsetInCU: 0xC670, offset: 0xC670, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A00, symBinAddr: 0x3100, symSize: 0x150 }
  - { offsetInCU: 0xC82D, offset: 0xC82D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x34F0, symSize: 0x1D0 }
  - { offsetInCU: 0xCB29, offset: 0xCB29, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7040, symBinAddr: 0x36C0, symSize: 0x80 }
  - { offsetInCU: 0xCBF3, offset: 0xCBF3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70C0, symBinAddr: 0x3740, symSize: 0x6C0 }
  - { offsetInCU: 0xD6F0, offset: 0xD6F0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE4D0, symBinAddr: 0x5A80, symSize: 0xB0 }
  - { offsetInCU: 0xD767, offset: 0xD767, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7780, symBinAddr: 0x3E00, symSize: 0x70 }
  - { offsetInCU: 0xD823, offset: 0xD823, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x84D0, symBinAddr: 0x3E70, symSize: 0xA0 }
  - { offsetInCU: 0xD92E, offset: 0xD92E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9340, symBinAddr: 0x3F10, symSize: 0x40 }
  - { offsetInCU: 0xDA24, offset: 0xDA24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x9380, symBinAddr: 0x3F50, symSize: 0x2B0 }
  - { offsetInCU: 0xDDCA, offset: 0xDDCA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9630, symBinAddr: 0x4200, symSize: 0xC0 }
  - { offsetInCU: 0xDF10, offset: 0xDF10, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x96F0, symBinAddr: 0x42C0, symSize: 0x10 }
  - { offsetInCU: 0xDFD2, offset: 0xDFD2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9700, symBinAddr: 0x42D0, symSize: 0x240 }
  - { offsetInCU: 0xE2BB, offset: 0xE2BB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCF60, symBinAddr: 0x4510, symSize: 0x10 }
  - { offsetInCU: 0xE318, offset: 0xE318, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCF70, symBinAddr: 0x4520, symSize: 0x7A0 }
  - { offsetInCU: 0xEB71, offset: 0xEB71, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD710, symBinAddr: 0x4CC0, symSize: 0x10 }
  - { offsetInCU: 0xEBCE, offset: 0xEBCE, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xD720, symBinAddr: 0x4CD0, symSize: 0x1F0 }
  - { offsetInCU: 0xECFB, offset: 0xECFB, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xD910, symBinAddr: 0x4EC0, symSize: 0x20 }
  - { offsetInCU: 0xED47, offset: 0xED47, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xD930, symBinAddr: 0x4EE0, symSize: 0x140 }
  - { offsetInCU: 0xEE95, offset: 0xEE95, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xDA70, symBinAddr: 0x5020, symSize: 0xE0 }
  - { offsetInCU: 0xEF99, offset: 0xEF99, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xDB50, symBinAddr: 0x5100, symSize: 0xE0 }
  - { offsetInCU: 0xF07A, offset: 0xF07A, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xDC30, symBinAddr: 0x51E0, symSize: 0x20 }
  - { offsetInCU: 0xF0FC, offset: 0xF0FC, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xDC50, symBinAddr: 0x5200, symSize: 0x20 }
  - { offsetInCU: 0xF168, offset: 0xF168, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xDC70, symBinAddr: 0x5220, symSize: 0x20 }
  - { offsetInCU: 0xF1C9, offset: 0xF1C9, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xDC90, symBinAddr: 0x5240, symSize: 0x20 }
  - { offsetInCU: 0xF22A, offset: 0xF22A, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xDCB0, symBinAddr: 0x5260, symSize: 0x20 }
  - { offsetInCU: 0xF28B, offset: 0xF28B, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xDCD0, symBinAddr: 0x5280, symSize: 0x20 }
  - { offsetInCU: 0xF30D, offset: 0xF30D, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xDCF0, symBinAddr: 0x52A0, symSize: 0x20 }
  - { offsetInCU: 0xF3A5, offset: 0xF3A5, size: 0x8, addend: 0x0, symName: _cbNewFieldAccess, symObjAddr: 0xDD10, symBinAddr: 0x52C0, symSize: 0x20 }
  - { offsetInCU: 0xF427, offset: 0xF427, size: 0x8, addend: 0x0, symName: _cbNewFieldModification, symObjAddr: 0xDD30, symBinAddr: 0x52E0, symSize: 0x20 }
  - { offsetInCU: 0xF4BF, offset: 0xF4BF, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xDD50, symBinAddr: 0x5300, symSize: 0x20 }
  - { offsetInCU: 0xF515, offset: 0xF515, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xDD70, symBinAddr: 0x5320, symSize: 0x20 }
  - { offsetInCU: 0xF588, offset: 0xF588, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xDD90, symBinAddr: 0x5340, symSize: 0x20 }
  - { offsetInCU: 0xF5FB, offset: 0xF5FB, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xDDB0, symBinAddr: 0x5360, symSize: 0x20 }
  - { offsetInCU: 0xF662, offset: 0xF662, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xDDD0, symBinAddr: 0x5380, symSize: 0x20 }
  - { offsetInCU: 0xF6C9, offset: 0xF6C9, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xDDF0, symBinAddr: 0x53A0, symSize: 0x20 }
  - { offsetInCU: 0xF724, offset: 0xF724, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xDE10, symBinAddr: 0x53C0, symSize: 0x20 }
  - { offsetInCU: 0xF77F, offset: 0xF77F, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xDE30, symBinAddr: 0x53E0, symSize: 0x20 }
  - { offsetInCU: 0xF7FE, offset: 0xF7FE, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xDE50, symBinAddr: 0x5400, symSize: 0x20 }
  - { offsetInCU: 0xF84D, offset: 0xF84D, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xDE70, symBinAddr: 0x5420, symSize: 0x20 }
  - { offsetInCU: 0xF884, offset: 0xF884, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xDE90, symBinAddr: 0x5440, symSize: 0x20 }
  - { offsetInCU: 0xF8BB, offset: 0xF8BB, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xDEB0, symBinAddr: 0x5460, symSize: 0x20 }
  - { offsetInCU: 0xF8FE, offset: 0xF8FE, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xDED0, symBinAddr: 0x5480, symSize: 0x20 }
  - { offsetInCU: 0xF971, offset: 0xF971, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xDEF0, symBinAddr: 0x54A0, symSize: 0x2E0 }
  - { offsetInCU: 0xFBF9, offset: 0xFBF9, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE1D0, symBinAddr: 0x5780, symSize: 0x300 }
  - { offsetInCU: 0x10193, offset: 0x10193, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE580, symBinAddr: 0x5B30, symSize: 0x370 }
  - { offsetInCU: 0x10793, offset: 0x10793, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xE8F0, symBinAddr: 0x5EA0, symSize: 0x40 }
...
